Control Message Interface
Get all control ids matched by the query
GET/api/v6.1.0.36/hubs/{hub}/channels/{channel}/controls
| Query parameters | Prototype:
'task_name' ?: 'cap' | 'integ'
'loc_name' ?: ( <ident>+ )
'ctrl_name' ?: <ident>
'ctrl_id' ?: ( <str>+ )
|
| Request headers | None |
| Request body | None |
| Response headers | Prototype:
X-Hvr-Hidden-Files : <bool>
|
| Response body (JSON) | Prototype:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: not found hub or channel |
| Required permissions | ReadOnly access level on hub |
Get the control associated with the id
GET/api/v6.1.0.36/hubs/{hub}/channels/{channel}/controls/{ctrl_id}
| Query parameters | None |
| Request headers | None |
| Request body | None |
| Response headers | Prototype:
X-Hvr-Hidden-Files : <bool>
|
| Response body (JSON) | Prototype:
'task_name' : 'cap' | 'integ'
'loc_name' : <ident>
'ctrl_name' : <ident>
'filters' ?: (
{
'tables' ?: ( <str>+ )
'where' ?: (
{
'col' : <str>
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( <str>+ )
'val_int' ?: ( <str>+ )
'val_date' ?: ( <date_str_z>+ )
'val_len' ?: ( <str>+ )
}*
)
'force_failed_rows' ?: <true>
'resilient' ?: <true>
'skip_rows' ?: <true>
'set_missing_cols' ?: ( col<str>* )
'breakpoint_control' ?: <true>
}*
)
'eval' ?: <list>
'expiry_date' ?: <date_str_z>
'recv_expiry' ?: <date_str_z>
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: not found hub or channel or control |
| Required permissions | ReadOnly access level on hub |
Delete all the controls matched.
POST/api/v6.1.0.36/hubs/{hub}/channels/{channel}/controls_delete
| Query parameters | None |
| Request headers | None |
| Request body (JSON) | Prototype:
|
| Response headers | None |
| Response body | None |
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: The control does not exist. |
| Required permissions | ReadExec access level on hub |
| Events | Creates the following event: Control_Delete
'chn_name' : <ident>
'ctrl_ids' : ( <str>+ )
|
Send a new control file
POST/api/v6.1.0.36/hubs/{hub}/channels/{channel}/locs/{loc}/tasks/{task}/controls
| Query parameters | None |
| Request headers | None |
| Request body (JSON) | Prototype:
'ctrl_name' ?: <ident>
'filters' ?: (
{
'tables' ?: ( <ident>+ )
'where' ?: (
{
'col' : <str>
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( <str>+ )
'val_int' ?: ( <str>+ )
'val_date' ?: ( <date_str_z>+ )
'val_len' ?: ( <str>+ )
}*
)
'force_failed_rows' ?: <bool>
'resilient' ?: <bool>
'skip_rows' ?: <bool>
'set_missing_cols' ?: ( col<str>+ )
}*
)
'set_env' ?: (
{
'name' : <str>
'value' : <str>
}*
)
'journaling' ?: <bool>
'finish_after_cycle' ?: <bool>
'expiry_date' ?: <date_str_z>
'recv_expiry' ?: <date_str_z>
|
| Response headers | None |
| Response body (JSON) | Prototype:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request |
| Required permissions | ReadWrite access level on hub |
| Events | Creates the following event: Control_Send
'chn_name' : <ident>
'task_name' : 'cap' | 'integ'
'loc_name' : <ident>
'ctrl_name' : <ident>
'filters' ?: (
{
'tables' ?: ( <ident>+ )
'where' ?: (
{
'col' : <str>
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( <str>+ )
'val_int' ?: ( <str>+ )
'val_date' ?: ( <date_str_z>+ )
'val_len' ?: ( <str>+ )
}*
)
'force_failed_rows' ?: <true>
'resilient' ?: <true>
'skip_rows' ?: <true>
'set_missing_cols' ?: ( col<str>+ )
}*
)
'set_env' ?: (
{
'name' : <str>
'value' : <str>
}*
)
'journaling' ?: <bool>
'finish_after_cycle' ?: <true>
'expiry_date' ?: <date_str_z>
'recv_expiry' ?: <date_str_z>
'ctrl_id' : <str>
|